% File name: pview.m
% Allows multiple 2D plots to be stacked next to one another
% along one dimension; also provides 3D view of all plots
clear all
x = linspace(0,3*pi).';       % x-axis data
Z = [sin(x) sin(2*x) sin(3*x) sin(4*x)];
% Code below gives each curve different value on y-axis
Y = [zeros(size(x)) ones(size(x))/3 (2/3)*ones(size(x)) ones(size(x))];
plot3(x,Y,Z,'LineWidth',1.5)
grid on
xlabel('x','FontSize',14)
ylabel('y','FontSize',14)
zlabel('z','FontSize',14)
set(gca,'FontSize',14);       % size of tick marks on both axis
view(-40,60)
pause
close all
