% File name: sub_plots.m
% Creation of subplots with different properties.
clear all
% Generate data for plot
n = 100;                        % number of plotting points
x = linspace(0,10,n);           % generates points on x-axis
y = 3*x.^2;                     % function to be plotted
subplot(2,2,1)                  % division of Figure window
h1 = plot(x,y);                 % basic plot shown in top-left window
set(gca,'FontSize',10);         % size of tick marks on both axis
pause                           % stop to contemplate effects
% The above function is now plotted on different log scales
% and plots are placed in the remaining sub-windows
subplot(2,2,2)
h2 = semilogx(x,y);             % log scale on x-axis
set(gca,'FontSize',14);         % size of tick marks on both axis
subplot(2,2,3)
h3 = semilogy(x,y);             % log scale on y-axis
set(gca,'FontSize',15); subplot(2,2,4)
h4 = loglog(x,y);               % log scale on both axes
set(gca,'FontSize',16);         % size of tick marks on both axis
%
% Below we set new thicknesses of plotting lines
set(h1,'LineWidth',1.5); set(h2,'LineWidth',2);
set(h3,'LineWidth',2.5); set(h4,'LineWidth',3.5); 
pause 
close all
