
% File name: FT_example_2.m
% Testing Fourier transform in Matlab
clear all;
x=-4:0.1:4;                     % Interval of independent variable
y=exp(-x.^2);                   % Define Gaussian function
plot(y,'LineWidth',1.5);        % Plot Gaussian (Fig.1)
xlabel('Number of points','FontSize',14); ylabel('y(x)','FontSize',14);
set(gca,'FontSize',14);         % size of tick marks on both axis
title('y=exp(-x^2)');
pause
%
F=fft(y);                       % Calculate FFT 
plot(F,'LineWidth',1.5);        % Plot of  FT (Fig.2)
title('F=fft(y)');
pause
%
plot(abs(F),'LineWidth',1.5);    % Plot of abs value (Fig.3)
title('abs(F)');                 % Take absolute value and plot
pause
%
plot(fftshift(abs(F)),'LineWidth',1.5);      % Use Matlab fftshift function 
xlabel( 'Spatial frequency'); ylabel('|F|'); % (Fig.4)
title('FT of a Gaussian: fftshift(abs(F)))');
pause
%--------------------------------------------------------
% Take inverse Fourier transform
%--------------------------------------------------------
plot(ifft(abs(F)),'LineWidth',1.5);   % Use Matlab function ifft (Fig.5)
title('ifft(abs(F))');
pause
%
plot(fftshift(ifft(abs(F))),'LineWidth',1.5); % Use functions fftshift 
title('Inverse FT: fftshift(ifft(abs(F)))');  % and ifft (Fig.6)
xlabel('number of points'); ylabel('y(x)');
pause
close all
