
% File name: ode_single.m
% Illustrates application of R-K method to a single diff. equation
% Results are compared with an exact solution
%
clear all
tspan = [0.1 10];                   % time interval
x0 = 0.009;                         % initial value
%
[t,x] = ode45('func_ode_single',tspan,x0);
t_ex = linspace(0.1, 10, 100);
x_ex = t_ex.^2.*exp(-t_ex);         % Exact solution
plot(t,x,t_ex,x_ex,'.','LineWidth',1.5)
xlabel('t','FontSize',14)
ylabel('x','FontSize',14)
set(gca,'FontSize',14);             % size of tick marks on both axis
pause
close all
