
% File name: square_wave.m
clear all 
L = 0.5; 
t = [0:100]/100;                        % arguments of independent variable
hold on 
for N = [20 100];    
    f = zeros(1,101);                   % function initialization
    for n = 1:2:N
        pref = 4/(pi*n);                % evaluate prefactor
        f = f + pref*sin(n*pi*t/L);     % summation of function
    end
    plot(t,f,'LineWidth',1.5)
end
axis([-0.2 1.2 -1.2 1.2]) 
ylabel('f(t)','FontSize',14) 
xlabel('t','FontSize',14) 
set(gca,'FontSize',14);                 % size of tick marks on both axis
pause
close all
