% File name: gauss.m
% Plots Gaussian pulse
clear all;
%
t_zero = 20.0;                  % center of incident pulse
width = 6.0;                    % width of the incident pulse
%
N      = 300.0; 
time = linspace(0,50,N);
pulse = exp(-0.5*((t_zero - time)/width).^2);       % Gaussian pulse
plot(time,pulse,'LineWidth',1.5)
xlabel('time','FontSize',14); 
ylabel('amplitude','FontSize',14);
set(gca,'FontSize',14);         % size of tick marks on both axis
pause
close all