% File name: gauss_modul.m
% Plots modulated Gaussian pulse
alpha = 0.6;
mu_0=4*pi*1e-7; e_0=8.854e-12;  % fundamental constants
c=1/sqrt(mu_0*e_0);             % velocity of light
dx = 4.2e-2;                    % step in space
dt=alpha*dx/c;                  % time step
f_mod = 2e9;                    % modulating frequency (2 GHz)
t_0 = 3e-09;	                % peak position of Gaussian pulse in time
T = t_0/3;		                % pulse width 
N_x = 400;
spec = [0:N_x];
for n = 1:100
    y(n) = exp(-(((n-1)*dt-t_0)/T).^2).*cos(2*pi*f_mod*((n-1)*dt-t_0)); 
end
plot(y,'LineWidth',1.5)
xlabel('time','FontSize',14); ylabel('amplitude','FontSize',14);
set(gca,'FontSize',14);         % size of tick marks on both axis
pause
close all