
% File name: gmf.m
% gauss, modulated, free space
% Animation of propagation of Gaussian pulse in a free space
% without boundary conditions
% Program not used in the main text
clear all
alpha = 0.5;            % alpha = c*dt/dx
mu0=4*pi*1e-7;          % magnetic permeability   
e0=8.854e-12;           % electric permittivity
c=1/sqrt(mu0*e0);       % velocity of light in a vacuum
dx = 4.2e-2;            % space step
dt=alpha*dx/c;          % time step
f_mod = 1e9;            % modulating frequency
lambda = c/f_mod;       % wavelength
x_end = 400;
t_0 = 3e-09;	        % peak position of Gaussian pulse in time
dxl = dx/lambda;
index=[0:x_end];
e=zeros(length(index),1); h=e; e1=e; h0=e;
ha = plot(e);                  % get the handle to the plot
set(ha,'EraseMode','xor') 	   % for simulation of wave propagation
%
t_end = 500;                   % number of time steps
for n = 1:t_end   
	for i=1:400                % simulate for h-nodes
        h(i) = h(i) - (e(i+1)-e(i))*dt/dx/mu0;       
    end
    
    for i=2:400                 % simulate for e-nodes
        e(i) = e(i) - (h(i)-h(i-1))*dt/dx/e0;          
    end
% launch Gaussian or modulated Gaussian pulse
    T = t_0/3;	         % specify pulse width
    y(n) = exp(-(((n-1)*dt-t_0)/T).^2).*cos(2*pi*f_mod*((n-1)*dt-t_0)); 
%    y(n) = exp(-(((n-1)*dt-t_0)/T).^2);  
    e(1)= y(n);   % Gauss pulse starts here
    drawnow;      %refresh data and plot the current condition of the pulse
    set(ha,'YData',(e));
end
pause
close all
