% File name: num_disp.m
% Illustrates numerical dispersion
N_max = 10;                         % number of points for plot
x = linspace(0,pi,N_max);
hold on
for alpha = [1.0 0.8 0.2]
    y = 2*asin(alpha*sin(x/2));
    plot(x,y,'LineWidth',1.5)
end
xlabel('k \Delta z','FontSize',14)
ylabel('\omega \Delta z /c','FontSize',14)  
set(gca,'FontSize',14);             % size of tick marks on both axis
text(2.5, 3, '\alpha = 1','Fontsize',12)
text(2.5, 2, '\alpha = 0.8','Fontsize',12)
text(2.5, 0.5, '\alpha = 0.2','Fontsize',12)
pause
close all
