
% File name: plot_y.m
% Plots y-junction 
clear all
L_x=10.0;               % computational window along x-axis
N_x=100;                % number of steps along x-axis
L_z = 20;
N_z = 100;
h = L_z/N_z;                        % step size
plotting=zeros(N_x,N_z);            % storage for plotting
z=0;
%
for i=1:N_z
    z = z + h; 
    z_plot(i) = z + h;
    x = linspace(-L_x,L_x,N_x);
    plotting(:,i)=y_junction(z,x,N_x,N_z);
end
%
for k = 1:10:N_z                % choosing 3D plots every 10-th step
    y = z_plot(k)*ones(size(x));    % spread out along y-axis
    plot3(x,y,plotting(:,k),'.-','LineWidth',1.0)
    hold on
end
xlabel('x');
grid on
pause
close all
