function index = taper_struct(z,x,N_x,N_z)
% Construction of the tapered structure used by BPM
% z - coordinate along propagation direction
% x - perpendicular coordinate
width = 2.0;                        % film width
n_c = 1.0;                          % refractive index of cover
n_s = 1.0;                          % refractive index of substrate
n_f = 1.2;                          % refractive index of film
a = 10;
%b = 8;
%c = 10;
%d = 1.0;
% Construction of tapered structure
slope = 0.03;
% 
% ref_index = index_a;
index = zeros(N_x,N_z);
upper = width/2 + slope*z;
if 0<=z<=a
    index = n_s*(x<0)+n_f*((x>=0)&(x<=upper))+n_c*(x>upper); % region 'a'
end
