
function index = y_junction(z,x,N_x,N_z)
% Construction of the Y-junction structure used by BPM
% z - coordinate along propagation direction
% x - perpendicular coordinate
% Structure is described in only 2D, so we do not need cover
%
w = 2.0;                            % film width
n_s = 1.0;                         % refractive index of substrate
n_f = 1.52;                         % refractive index of film
a = 10;
b = 20;
% Construction of Y-junction
slope = 0.1;
% 
%index = zeros(N_x,N_z);
upper_1 = w/2 + slope*z;
upper_2 = slope*z;
lower_1 = - slope*z;
lower_2 = -w/2- slope*z;
%
n_1 = n_s*(x<-w/2)+n_f*((x>=-w/2)&(x<=w/2))+n_s*(x>w/2); 

    n_2 = n_s*(x<=lower_2)+n_f*((x>=lower_2)&(x<=lower_1))+...
    n_s*((x>=lower_1)&(x<=upper_2))+n_f*((x>=upper_2)&(x<=upper_1))+...
    n_s*(x>upper_1);  

index = ((0<z)&(z<=a))*n_1+((a<z)&(z<=b))*n_2;
end
