
function fun = current_V(I,V,T,eta,I_ph,R_s)
% Expression for current used in solar cell model based on equivalent
% circuit
q = 1.6d-19;           % charge of electron
k_B = 1.38d-23;        % Boltzmann constant
R_sh = 415;            % shunt resistance in ohms
I_0 = 3d-9;            % reverse saturation current of the diode
VV = V+I*R_s;
fun = I_ph - I - I_0*(exp(q*VV/(eta*k_B*T))-1) - VV/R_sh;
