
% FP_transmit.m
% Plot of transmittance of FP etalon
clear all
N_max = 401;                % number of points for plot
t = linspace(0,1,N_max);    % creation of theta arguments
delta = (5*pi)*t;           % angles in radians
%
hold on
for r = [0.2 0.4 0.8]       % reflection coefficient
    F = 4*r^2/(1-r^2).^2;   % coefficient of finesse
    T = 1./(1 + F*(sin(delta/2)).^2);
    plot(delta,T,'LineWidth',1.5)
end
%
% Redefine figure properties
ylabel('Transmittance','FontSize',14)  
xlabel('Phase difference (rad)','FontSize',14)
set(gca,'FontSize',14);            % size of tick marks on both axis
text(6.1, 0.05, '2 \pi','Fontsize',14)
text(12.2, 0.05, '4 \pi','Fontsize',14)
text(8.5, 0.1, 'r = 0.8','Fontsize',14)
text(8.5, 0.5, 'r = 0.4','Fontsize',14)
text(8.5, 0.8, 'r = 0.2','Fontsize',14)
%
pause
close all