
% File name: lossy.m
% Contains data for lossy waveguide.
% Reference:
% C. Chen et al, Proc. SPIE, v.3795 (1999)
% Global variables to be transferred to function f_TE.m     
global n_c           % ref. index cladding
global n_layer       % ref. index of internal layers
global n_s           % ref. index substrate
global d_c           % thickness of cladding (microns)
global d_layer       % thicknesses of internal layers (microns)
global d_s           % thickness of substrate (microns)
global k_0           % wavenumber
global NumberMesh    % number of mesh points in each layer 
                     % (including substrate and cladding)
n_c        = 1.0;
n_layer    = [3.16455 3.22534 3.39583 3.5321-1j*0.08817 3.39614 3.38327]; 
n_s        = 3.172951;
d_c        = 1.0;
d_layer    = [0.6 1.6 0.518 0.6 0.2 0.1];
d_s        = 1.0;
NumberMesh = [10 10 10 10 10 10 10 10];   
lambda     = 1.523;  % wavelength in microns
k_0        = 2*pi/lambda;
