% File name: HE11.m
% Function determines and plots universal relation for mode HE_11
clear all
format long
% It works in the range of V = [0.50 2.4]
N_max = 190;
for n = 1:N_max
    VV(n) = 0.50 + n*0.01;
    V = VV(n);
    b_c(n) = fzero(@(b) func_HE11(b,V),[0.0000001 0.8]);  
end
%
hold on
h1 = plot(VV,b_c);              % plots b =b(V)
%
temp1 = VV.*b_c;
dy1 = diff(temp1)./diff(VV);
Vnew1 = VV(1:length(VV)-1);
h2 = plot(Vnew1,dy1);           % plots first derivative
%
temp2 = dy1;
dy2 = diff(temp2)./diff(Vnew1);
Vnew2 = Vnew1(1:length(Vnew1)-1);
h3 = plot(Vnew2,Vnew2.*dy2);    % plots second derivative
%
text(2.3, 0.6, 'b','Fontsize',16);
text(1.8, 1.2, '{d(bV)}/{dV}','Fontsize',16);
text(0.25, 1.3, 'V{d^{2}(bV)}/{dV^{2}}','Fontsize',16);
axis([0 2.5 0 1.5]);
% Redefine figure properties
xlabel('V','FontSize',22);
grid on
box on
set(h1,'LineWidth',1.5);        % new thickness of plotting lines 
set(h2,'LineWidth',1.5);
set(h3,'LineWidth',1.5);
set(gca,'FontSize',22);         % new size of tick marks on both axis
pause
close all
