% File name: bessel_I.m
% Plot of modified Bessel functions of the first kind I_m(z)
clear all
N_max = 101;                    % number of points for plot
z = linspace(0,3,N_max);        % creation of z arguments
%
hold on
for m = [0 1 2]                 % m - order of Bessel function
    Y = BESSELI(m,z);
    h = plot(z,Y);
% Redefine figure properties
xlabel('z','FontSize',22);
ylabel('I_m(z)','FontSize',22);
text(1.1, 1.7,  'm = 0','Fontsize',18);
text(1.75, 1.7, 'm = 1','Fontsize',18);
text(2.4, 1.7,  'm = 2','Fontsize',18);
grid on
box on
%
set(h,'LineWidth',1.5);         % new thickness of plotting lines 
set(gca,'FontSize',22);         % new size of tick marks on both axis
end
pause
close all
