% File name: bessel_J.m
% Plot of Bessel functions of the first kind J_m(z)
clear all
N_max = 101;                    % number of points for plot
z = linspace(0,10,N_max);       % creation of z arguments
%
hold on
for m = [0 1 2]                 % m - order of Bessel function
    J = BESSELJ(m,z);
    h = plot(z,J);
% Redefine figure properties
xlabel('z','FontSize',22);
ylabel('J_m(z)','FontSize',22);
text(1.1, 0.85, 'm = 0','Fontsize',18);
text(1.8, 0.65, 'm = 1','Fontsize',18);
text(3, 0.55,   'm = 2','Fontsize',18);
grid on
box on
%
set(h,'LineWidth',1.5);         % new thickness of plotting lines 
set(gca,'FontSize',22);         % new size of tick marks on both axis
end
pause
close all