% File name: bessel_K.m
% Plot of modified Bessel functions of the second kind K_m(z)
clear all
N_max = 101;                    % number of points for plot
z = linspace(0.01,3,N_max);     % creation of z arguments
%
hold on
for m = [0 1 2]                 % m - order of Bessel function
    K = BESSELK(m,z);
    h = plot(z,K);
% Redefine figure properties
xlabel('z','FontSize',22);
ylabel('K_m(z)','FontSize',22);
text(0.2, 0.8, 'm = 0','Fontsize',18);
text(1.0, 0.8, 'm = 1','Fontsize',18);
text(1.5, 0.8, 'm = 2','Fontsize',18);
axis([0 3 0 5]);
grid on
box on
%
set(h,'LineWidth',1.5);         % new thickness of plotting lines 
set(gca,'FontSize',22);         % new size of tick marks on both axis
end
pause
close all