% File name: bessel_Y.m
% Plot of Bessel functions of the second kind Y_m(z)
clear all
N_max = 101;                    % number of points for plot
z = linspace(0.01,10,N_max);    % creation of z arguments
%
hold on
for m = [0 1 2]                 % m - order of Bessel function
    Y = BESSELY(m,z);
    h = plot(z,Y);
% Redefine figure properties
xlabel('z','FontSize',22);
ylabel('Y_m(z)','FontSize',22);
text(2.0, 0.7, 'm = 0','Fontsize',18);
text(3.5, 0.7, 'm = 1','Fontsize',18);
text(5.0, 0.7, 'm = 2','Fontsize',18);
axis([0 10 -5 1.5]);
grid on
box on
%
set(h,'LineWidth',1.5);         % new thickness of plotting lines 
set(gca,'FontSize',22);         % new size of tick marks on both axis
end
pause
close all
