% File name: gauss_chirp.m
% Creation of Gaussian pulse and also chirped Gaussian pulse
clear all;
%
t_zero = 20.0;          % center of incident pulse
width = 6.0;            % width of the incident pulse
C = 15;                 % chirped parameter
%
N      = 300.0; 
time = linspace(0,50,N);
pulse = exp(-0.5*((t_zero - time)/width).^2);           % Gaussian pulse
pulse_ch = exp(-(0.5+1i*C)*((t_zero - time)/width).^2); % chirped pulse
%
subplot (2,1,1), h = plot(time,pulse);
set(h,'LineWidth',1.5);                 % thickness of plotting lines 
title('Gaussian pulse','FontSize',14)
xlabel('time','FontSize',14); ylabel('amplitude','FontSize',14);
set(gca,'FontSize',14);                 % size of tick marks on both axis
%
subplot (2,1,2), h = plot(time,pulse_ch);
set(h,'LineWidth',1.5);                 % thickness of plotting lines 
title('Chirped Gaussian pulse','FontSize',14)
xlabel('time','FontSize',14); ylabel('amplitude','FontSize',14);
set(gca,'FontSize',14);                 % size of tick marks on both axis
pause
close all
