
% File name: rp.m (rectangular pulse)
clear all
N_max = 100;                            % number of points for plot
% Pulse characteristics
s_0 = 1.0;                              % pulse amplitude
t_min = 2;                              % start of pulse
t_max = 10.0;                           % end of pulse
A = 0.5;
dt = 1/N_max;
t = 0:dt:2*t_max;
x = A*(sign(t-t_min)-sign(t-t_max));    % creates rectangular pulse
hold on
h = plot(t,x);
set(h,'LineWidth',2);
axis([0 1.2*t_max -0.5 1.7]);           % plots rectangular pulse
%
s = 0.0;
for n = [1 3 5]
    s = s + 4*s_0/(pi*n)*sin(n*pi*(t-t_min)./(t_max-t_min));
    h = plot(t,s);
    set(h,'LineWidth',2);
end
axis([0 1.2*t_max -0.5 1.7]);
xlabel('time (a.u.)','FontSize',14);    % size of x label
ylabel('s (a.u)','FontSize',14);        % size of y label
set(gca,'FontSize',14);                 % size of tick marks on both axis
% Add description
text(5.5, 1.4, 'n = 1','Fontsize',13)
text(7.0, 1.4, 'n = 3','Fontsize',13)
text(8.5, 1.4, 'n = 5','Fontsize',13)
pause
close all
