% File name: super_gauss.m
% Plots super-Gaussian pulses
clear all
A = 1;
sigma = 30;
N = 300.0; 
t = linspace(-50,50,N);
hold on
for m = [1 2 3 4]
    p = A/(sigma*sqrt(2*pi))*exp(-t.^(2*m)/(sigma^(2*m)));  
    h = plot(p);
    set(h,'LineWidth',1.5);       % thickness of plotting lines 
end
xlabel('time','FontSize',14); ylabel('amplitude','FontSize',14);
set(gca,'FontSize',14);           % size of tick marks on both axis
pause
close all
