% File name: eqs_large.m
% Purpose:
% Large signal rate equations are established
% N == y(1)
% S == y(2)
% assumed linear gain model
function ydot = eqs_large(t,y)
%
param_rate_eq_QW                % input of needed parameters
%
current =  3d-2;                % bias current (step function) [A]; 3 mA
A = v_g*a*(y(1) - N_tr)/(1+epsilon*y(2));
ydot(1) = eta_i*current/(q*V) - y(1)/tau - A*y(2); 
ydot(2) = conf*A*y(2) - y(2)/tau_p + conf*beta_sp*y(1)/tau;
ydot = ydot';                   % must return column vector
