% File name: large_signal.m
% Purpose:
% Driver which controls computations for large signal rate equations
% function z = large_signal
%
clear all
tspan = [0 2d-9];                   % time interval, up to 2 ns
y0 = [0, 0];                        % initial values of N and S
%
[t,y] = ode45('eqs_large',tspan,y0);
%
size(t);
t=t*1d9;
y_max = max(y);
y1 = y_max(1);
y2 = y_max(2);
h = plot(t,y(:,1)/y1,'-.', t, y(:,2)/y2);   % divided to normalize
set(h,'LineWidth',1.5);                     % thickness of plotting lines 
xlabel('time [ns]','FontSize',14);  % size of x label
ylabel('Arbitrary units','FontSize',14);    % size of y label
set(gca,'FontSize',14);                 % size of tick marks on both axis
legend('carrier density', 'photon density')  % legend inside the plot
pause
close all
