
function y_z = edfa_eqs(z,y)
% Purpose:
% To establish equations for EDFA following Iannone-book, p.86
% P_s  == y(1)  signal power
% P_p  == y(2)  pump power
% 
edfa_param                     % input of needed parameters
num = y(1)/P_ss + y(2)/P_sp;
denom = y(2)/P_sp + 2*y(1)/P_ss + 1.0;
N_me = N_tot*num/denom;
N_gr = N_tot - N_me;
%
y_z(1) = 2*pi*Gamma_s*(s_se*N_me*y(1) - s_sa*N_gr*y(1));  % derivative
y_z(2) = -2*pi*Gamma_p*s_p*N_gr*y(2);
y_z = y_z';                    % must return column vector
end   
