% File name: edfa_param.m
%-----------------------------------------------------------------
% Purpose:
% Contains parameters for model of EDFA based on Table 3.2
% Iannone-book
N_tot   = 5.4d24;        % Erbium concentration (m^-3)
Gamma_s = 0.4;           % Signal overlapping integral (dimensionless)
Gamma_p = 0.4;           % Pump overlapping integral (dimensionless)
s_se    = 5.3d-25;       % Signal emission cross-section (m^2)
s_sa    = 3.5d-25;       % Signal absorption cross-section (m^2)
s_p     = 3.2d-25;       % Pump absorption cross-section
P_ss    = 1.3d-3;        % Signal local saturation power (W)
P_sp    = 1.6d-3;        % Pump local saturation power (W)
