
% File_name: variable_length_plot.m
% Plots graph of gain using data generated by 'gain_variable_length.m'
clear all
% Open files for 4 values of length of device: 5 m,10 m,15 m
fid = fopen('gain_P_3.dat');
a_3 = fscanf(fid,'%f %f',[2 inf]); % It has two rows
fclose(fid);
%
fid = fopen('gain_P_5.dat');
a_5 = fscanf(fid,'%f %f',[2 inf]); % It has two rows
fclose(fid);
%
fid = fopen('gain_P_7.dat');
a_7 = fscanf(fid,'%f %f',[2 inf]); % It has two rows
fclose(fid);
%
fid = fopen('gain_P_9.dat');
a_9 = fscanf(fid,'%f %f',[2 inf]); % It has two rows
fclose(fid);
%
plot(a_3(1,:),a_3(2,:),'k-', a_5(1,:),a_5(2,:),'k--',...
    a_7(1,:),a_7(2,:),'k-.',a_9(1,:),a_9(2,:),'k-','LineWidth',1.5)
axis([0 4 0 10])
xlabel('Doped fiber length (m)','FontSize',14); 
ylabel('Gain (a.u)','FontSize',14); 
legend('3 mW','5 mW','7 mW','9 mW')
set(gca,'FontSize',14);                % size of tick marks on both axis
pause
close all
