
% File_name: variable_pump_plot.m
% Plots graph of gain using data generated by 'gain_variable_pump.m'
clear all
% Open files for 4 values of length of device: 5 m,10 m,15 m
fid = fopen('gain_L_5.dat');
a_5 = fscanf(fid,'%f %f',[2 inf]); % It has two rows
fclose(fid);
%
fid = fopen('gain_L_10.dat');
a_10 = fscanf(fid,'%f %f',[2 inf]); % It has two rows
fclose(fid);
%
fid = fopen('gain_L_15.dat');
a_15 = fscanf(fid,'%f %f',[2 inf]); % It has two rows
fclose(fid);
%
plot(a_5(1,:),a_5(2,:),'k-', a_10(1,:),a_10(2,:),'k--',...
    a_15(1,:),a_15(2,:),'k-.','LineWidth',1.5)
axis([2 8 0 20])
xlabel('Pump power (mW)','FontSize',14); 
ylabel('Gain (a.u)','FontSize',14); 
legend('5 m','10 m','15 m')
set(gca,'FontSize',14);                % size of tick marks on both axis
pause
close all
