
% File name: sat_gain.m
% Generates data for plots of saturated gain G as a function of 
% the output power for three values of the unsaturated amplifier gain G_0
% File must be run three times for three values of G_0
clear all
%
G_0 = 10;
%G_0 = 100;
%G_0 = 1000;
u_init = 1d-2;
Delta_u = 0.5d-1;
u_final = 1d1;
uu = u_init;
yy = fzero(@(y) f_sat_gain(y, u_init, G_0), 0.5);
for u = (u_init + Delta_u):Delta_u:u_final
    uu = [uu, u];
    y = fzero(@(y) f_sat_gain(y, u, G_0), 0.5);
    yy = [yy, y];
end
%
d_u = length(uu);
fid = fopen('gain_data_10.dat', 'wt');              % Open the file.
for ii = 1:d_u
fprintf (fid, ' %11.4f %11.4f\n', uu(ii),yy(ii));   % Print the data
end
status = fclose(fid);                               % Close the file.
