
% File_name: sat_plot.m
% Plots graph of saturated gain using data generated by sat_gain.m
clear all
fid = fopen('gain_data_10.dat');
a_10 = fscanf(fid,'%f %f',[2 inf]); % It has two rows
fclose(fid);
%
fid = fopen('gain_data_100.dat');
a_100 = fscanf(fid,'%f %f',[2 inf]); % It has two rows
fclose(fid);
%
fid = fopen('gain_data_1000.dat');
a_1000 = fscanf(fid,'%f %f',[2 inf]); % It has two rows
fclose(fid);
%
semilogx(a_10(1,:),a_10(2,:),'k-', a_100(1,:),a_100(2,:),'k--',...
    a_1000(1,:),a_1000(2,:),'k-.','LineWidth',1.5)
%
xlabel('Normalized output power, P_{out}/P_{sat}','FontSize',14); 
ylabel('Normalized amplifier gain, G/G_0','FontSize',14); 
legend('G_0 = 10','G_0 = 100','G_0 = 1000')
set(gca,'FontSize',14);                % size of tick marks on both axis
pause
close all
