
% File name: gain_ripple.m
% Calculates gain ripple as a function of reflectivity
clear all
N_max = 401;                        % number of points for plot
R = linspace(1d-4,4d-3,N_max);      % creation of theta arguments
%
for G_s = [200 500]       % gain coefficient
    G_r = (1 + G_s.*R)./(1 - G_s.*R);
    loglog(R,G_r,'LineWidth',1.5)
    hold on
end
% Redefine figure properties
ylabel('Gain ripple','FontSize',14)  
xlabel('Reflectivity (R)','FontSize',14)
set(gca,'FontSize',14);             % size of tick marks on both axis
text(3d-3, 12, 'G_s = 200','Fontsize',14)
text(6d-4, 12, 'G_s = 500','Fontsize',14)
text(8.5, 0.1, 'r = 0.8','Fontsize',14)
pause
close all
