
% File name: pulse_shape.m
% Determines output pulse shapes in soa
% Basic equations after Agrawal and Olsson, JQE25, 2297 (1989)
clear all
P_0 = 1;
w = 0.1;                        % defined as P_0*tau_0/E_sat
tau = -3:0.01:3;
hold on
for G_0 = [10 100 1000]
    x = (1/2)*sqrt(pi)*w*(1 + erf(tau));
    G = G_0./(G_0 -(G_0-1)*exp(-x));
    y = exp(-tau.^2).*G;
    y_max = max(y);
    plot(tau,y/y_max,'LineWidth',1.5)
end
xlabel('\tau','FontSize',14); 
ylabel('Normalized output power','FontSize',14); 
set(gca,'FontSize',14);            % size of tick marks on both axis
grid on
pause
close all
